Loading...
Searching...
No Matches
bsoncxx::v_noabi::builder Namespace Reference

## Description

Declares entities used to build BSON documents.

## Namespaces

namespace | basic
| Declares entities used with "basic" BSON builder syntax.
namespace | stream
| Declares entities used with "streaming" BSON builder syntax.

## Classes

class | array
| A JSON-like builder for creating arrays. More...
struct | concatenate_array
| Container to concatenate an array. More...
struct | concatenate_doc
| Container to concatenate a document. More...
class | core
| A low-level interface for constructing BSON documents and arrays. More...
class | document
| A JSON-like builder for creating documents. More...
class | list
| A JSON-like builder for creating documents and arrays. More...

## Functions

concatenate_array | concatenate (array::view_or_value array)
| Helper method to concatenate an array.
concatenate_doc | concatenate (document::view_or_value doc)
| Helper method to concatenate a document.

## Function Documentation

## concatenate() [1/2]

concatenate_array bsoncxx::v_noabi::builder::concatenate | ( | array::view_or_value | array | ) |

inline

Helper method to concatenate an array.

Use this with an array builder to merge an existing array's fields with that of the array being built.

Parameters

  array | The array to concatenate.

Returns
  concatenate_array A concatenating struct.

See also
  - bsoncxx::v_noabi::builder::concatenate_array

## concatenate() [2/2]

concatenate_doc bsoncxx::v_noabi::builder::concatenate | ( | document::view_or_value | doc | ) |

inline

Helper method to concatenate a document.

Use this with a document builder to merge an existing document's fields with that of the document being built.

Parameters

  doc | The document to concatenate.

Returns
  concatenate_doc A concatenating struct.

See also
  - bsoncxx::v_noabi::builder::concatenate_doc